## linux 3.16.5

=== Makefile ===
VERSION = 3
PATCHLEVEL = 16
SUBLEVEL = 5
EXTRAVERSION =
NAME = Museum of Fishiegoodies

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

# Fake the "Entering directory" message once, so that IDEs/editors are
# able to understand relative filenames.
       echodir := @echo
 quiet_echodir := @echo
silent_echodir := @:
sub-make: FORCE
	$($(quiet)echodir) "make[1]: Entering directory \`$(KBUILD_OUTPUT)'"
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

ifneq ($(CC),)
ifeq ($(shell $(CC) -v 2>&1 | grep -c "clang version"), 1)
COMPILER := clang
else
COMPILER := gcc
endif
export COMPILER
endif

# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated \

=== debian/changelog ===
linux (3.16.5-1tanglu1) staging; urgency=medium

  * Upload for Tanglu 2

 -- Matthias Klumpp <mak@debian.org>  Mon, 13 Oct 2014 08:34:42 +0000

linux (3.16.5-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.4
    - module: Clean up ro/nx after early module load failures
      (regression in 3.16)
    - [armhf] cpufreq: OPP: Avoid sleeping while atomic
    - [armhf] drm/tilcdc: Fix various bugs in removal path
    - drm/ttm: Fix possible stack overflow by recursive shrinker calls.
    - [x86] drm/i915: Fix crash when failing to parse MIPI VBT
      (regression in 3.16)
    - [x86] drm/i915: read HEAD register back in init_ring_common() to enforce
      ordering (Closes: #763583)
    - libata: widen Crucial M550 blacklist matching
    - pata_scc: propagate return value of scc_wait_after_reset
    - pwm: Fix period and polarity in pwm_get() for non-perfect matches
    - aio: add missing smp_rmb() in read_events_ring
    - [arm64] flush TLS registers during exec
    - [arm64] use irq_set_affinity with force=false when migrating irqs
      (regression in 3.15)
    - [arm*] KVM: Nuke Hyp-mode tlbs before enabling MMU
    - [x86] i2c: ismt: use correct length when copy buffer
    - ftrace: Use current addr when converting to nop in
      __ftrace_replace_code() (regression in 3.16)
    - ALSA: core: fix buffer overflow in snd_info_get_line()
    - ALSA: firewire-lib/dice: add arrangements of PCM pointer and interrupts
      for Dice quirk (regression in 3.16)
    - HID: picolcd: sanity check report size in raw_event() callback
      (CVE-2014-3186)
    - HID: magicmouse: sanity check report size in raw_event() callback
      (CVE-2014-3181)
    - HID: logitech-dj: prevent false errors to be shown (regression in 3.16.2)
    - [x86] drm/i915: Skip load detect when intel_crtc->new_enable==true
      (regression in 3.16)
    - [x86] drm/i915: fix plane/cursor handling when runtime suspended
      (regression in 3.14)
    - [x86] drm/i915: Ignore VBT backlight presence check on Acer C720 (4005U)
      (regression in 3.15)
    - [x86] drm/i915: Wait for vblank before enabling the TV encoder
      (regression in 3.16)
    - [x86] drm/i915/hdmi: fix hdmi audio state readout (regression in 3.16)
    - drm/radeon: Add ability to get and change dpm state when radeon PX card
      is turned off (regression in 3.15)
    - locks: pass correct "before" pointer to locks_unlink_lock in
      generic_add_lease
    - ufs: fix deadlocks introduced by sb mutex merge (regression in 3.16)
    - USB: serial: fix potential stack buffer overflow
    - USB: serial: fix potential heap buffer overflow
    - USB: option: reduce interrupt-urb logging verbosity (regression in 3.16)
    - [armhf] usb: phy: twl4030-usb: Fix lost interrupts after ID pin goes down
      (regression in 3.13)
    - [armhf] usb: phy: twl4030-usb: Fix regressions to runtime PM on omaps
      (regressions in 3.14, 3.15)
    - uwb: init beacon cache entry before registering uwb device
    - usb: hub: take hub->hdev reference when processing from eventlist
    - USB: EHCI: unlink QHs even after the controller has stopped
    - Revert "ACPI / battery: fix wrong value of capacity_now reported when
      fully charged" (regression in 3.16)
    - [x86] iommu/vt-d: Check return value of acpi_bus_get_device()
      (regression in 3.15)
    - [armhf/armmp-lpae] iommu/arm-smmu: fix programming of SMMU_CBn_TCR for
      stage 1
    - cgroup: check cgroup liveliness before unbreaking kernfs
      (regression in 3.15)
    - NFSv4: Fix another bug in the close/open_downgrade code
      (regression in 3.16.2)
    - nfsd4: fix corruption of NFSv4 read data (regression in 3.16)
    - nfs: check wait_on_bit_lock err in page_group_lock
    - nfs: clear_request_commit while holding i_lock
    - nfs: fix nonblocking calls to nfs_page_group_lock
    - nfs: use blocking page_group_lock in add_request
    - nfs: fix error handling in lock_and_join_requests
    - nfs: don't sleep with inode lock in lock_and_join_requests
    - nfs: disallow duplicate pages in pgio page vectors
    - nfs: can_coalesce_requests must enforce contiguity
    - [armhf] 8129/1: errata: work around Cortex-A15 erratum 830321 using dummy
      strex
    - [armhf] 8133/1: use irq_set_affinity with force=false when migrating irqs
      (regression in 3.15)
    - [armel,armhf] 8148/1: flush TLS and thumbee register state during exec
    - [armel,armhf] 8149/1: perf: Don't sleep while atomic when enabling
      per-cpu interrupts (regression in 3.15)
    - [armhf] imx: fix .is_enabled() of shared gate clock (regression in 3.16)
    - [armhf] 8165/1: alignment: don't break misaligned NEON load/store
    - [mips*] Fix MFC1 & MFHC1 emulation for 64-bit MIPS systems
      (regression in 3.15)
    - ACPICA: Update to GPIO region handler interface.
    - gpio / ACPI: Use pin index and bit length
    - ACPI / platform / LPSS: disable async suspend/resume of LPSS devices
      (regression in 3.16)
    - ACPI / hotplug: Generate online uevents for ACPI containers
      (regression in 3.14)
    - ACPI / video: disable native backlight for ThinkPad X201s
      (regression in 3.16)
    - regmap: Fix regcache debugfs initialization (regression in 3.15)
    - regmap: Fix handling of volatile registers for format_write() chips
    - regmap: Don't attempt block writes when syncing cache on single_rw
      devices
    - cgroup: reject cgroup names with '\n'
    - cgroup: delay the clearing of cgrp->kn->priv
    - cgroup: fix unbalanced locking (regression in 3.14)
    - [s390*] KVM: Fix user triggerable bug in dead code
    - [s390*] KVM: mm: try a cow on read only pages for key ops
    - [s390*] KVM: mm: Fix storage key corruption during swapping
    - [s390*] KVM: mm: Fix guest storage key corruption in
      ptep_set_access_flags
    - [x86] xen: don't copy bogus duplicate entries into kernel page tables


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, kmod, python, python-six, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.8 [alpha amd64 arm64 armel armhf hppa i386 m68k mips mipsel mips64 mips64el powerpcspe ppc64el s390 s390x sparc sparc64], binutils-hppa64 [hppa], gcc-4.8-hppa64 [hppa], gcc-4.6 [ia64], gcc-4.8 (>= 4.8.2-21) [powerpc ppc64], gcc-4.7 [sh4]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Svn: svn://anonscm.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/
Homepage: https://www.kernel.org/

Package: linux-source-3.16
Architecture: all
Section: kernel
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.16 with Debian patches
 This package provides source code for the Linux kernel version 3.16. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.16
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.16
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.16.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.16/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.16
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.16
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.16-3
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, python-six
Description: Support files for Linux 3.16
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel or1k powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.16-3-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.16-3-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.16-3-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.16-3-alpha-generic (= ${binary:Version}), linux-headers-3.16-3-alpha-smp (= ${binary:Version}), linux-headers-3.16-3-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.16-3-common
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.16-3
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.16-3, generally used for building out-of-tree
 kernel modules.  To obtain a complete set of headers you also need to
 install the linux-headers-3.16-3-(flavour) package, matching the flavour
 of the kernel you intend the build for.

Package: linux-image-3.16-3-alpha-generic
Architecture: alpha
Provides: linux-modules-3.16-3-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.110~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.16, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.110~)
Description: Linux 3.16 for Alpha
 The Linux kernel 3.16 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.16-3-alpha-generic
Architecture: alpha
Depends: linux-headers-3.16-3-common (= ${binary:Version}), linux-kbuild-3.16, ${misc:Depends}, gcc-4.8
Description: Header files for Linux 3.16-3-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.16-3-alpha-generic, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.16-3-alpha-generic, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.16-3-alpha-generic package.

Package: linux-image-3.16-3-alpha-smp
Architecture: alpha
Provides: linux-modules-3.16-3-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.110~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.16, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.110~)
Description: Linux 3.16 for Alpha SMP
 The Linux kernel 3.16 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.16-3-alpha-smp
Architecture: alpha
Depends: linux-headers-3.16-3-common (= ${binary:Version}), linux-kbuild-3.16, ${misc:Depends}, gcc-4.8
Description: Header files for Linux 3.16-3-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.16-3-alpha-smp, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.16-3-alpha-smp, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.16-3-alpha-smp package.

Package: linux-image-3.16-3-alpha-legacy
Architecture: alpha
Provides: linux-modules-3.16-3-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.110~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.16, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.110~)
Description: Linux 3.16 for Alpha Legacy
 The Linux kernel 3.16 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.16-3-alpha-legacy
Architecture: alpha
Depends: linux-headers-3.16-3-common (= ${binary:Version}), linux-kbuild-3.16, ${misc:Depends}, gcc-4.8
Description: Header files for Linux 3.16-3-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.16-3-alpha-legacy, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.16-3-alpha-legacy, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.16-3-alpha-legacy package.

Package: linux-headers-3.16-3-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.16-3-amd64 (= ${binary:Version})
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.16-3-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image, zlib-modules
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Kernel-Version: 3.16-3-amd64
Package-Type: udeb

Package: nic-modules-3.16-3-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.16-3-amd64-di, nic-shared-modules-3.16-3-amd64-di, core-modules-3.16-3-amd64-di, i2c-modules-3.16-3-amd64-di, crc-modules-3.16-3-amd64-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Kernel-Version: 3.16-3-amd64
Package-Type: udeb

Package: nic-wireless-modules-3.16-3-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.16-3-amd64-di, nic-shared-modules-3.16-3-amd64-di, core-modules-3.16-3-amd64-di, usb-modules-3.16-3-amd64-di, mmc-modules-3.16-3-amd64-di, pcmcia-modules-3.16-3-amd64-di, crc-modules-3.16-3-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Kernel-Version: 3.16-3-amd64
Package-Type: udeb

Package: nic-shared-modules-3.16-3-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.16-3-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Kernel-Version: 3.16-3-amd64
Package-Type: udeb

Package: serial-modules-3.16-3-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.16-3-amd64-di, pcmcia-modules-3.16-3-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Kernel-Version: 3.16-3-amd64
Package-Type: udeb

Package: usb-serial-modules-3.16-3-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.16-3-amd64-di, usb-modules-3.16-3-amd64-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Kernel-Version: 3.16-3-amd64
Package-Type: udeb

Package: ppp-modules-3.16-3-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.16-3-amd64-di, serial-modules-3.16-3-amd64-di, crc-modules-3.16-3-amd64-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Kernel-Version: 3.16-3-amd64
Package-Type: udeb

## linux 3.16.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 VERSION = 3
 PATCHLEVEL = 16
-SUBLEVEL = 5
-EXTRAVERSION =
+SUBLEVEL = 7
+EXTRAVERSION =-ckt25
 NAME = Museum of Fishiegoodies
 
 # *DOCUMENTATION*
@@ -303,7 +303,7 @@
 
 HOSTCC       = gcc
 HOSTCXX      = g++
-HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
+HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
 HOSTCXXFLAGS = -O2
 
 ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
